<template>
  <div class="row justify-content-center">
    <div class="col-8">
      <div v-if="tratamientoMedicamento">
        <h2 class="jh-entity-heading" data-cy="tratamientoMedicamentoDetailsHeading">
          <span v-text="$t('gatewayApp.pacientesTratamientoMedicamento.detail.title')">TratamientoMedicamento</span>
          {{ tratamientoMedicamento.id }}
        </h2>
        <dl class="row jh-entity-details">
          <dt>
            <span v-text="$t('gatewayApp.pacientesTratamientoMedicamento.dosis')">Dosis</span>
          </dt>
          <dd>
            <span>{{ tratamientoMedicamento.dosis }}</span>
          </dd>
          <dt>
            <span v-text="$t('gatewayApp.pacientesTratamientoMedicamento.intensidad')">Intensidad</span>
          </dt>
          <dd>
            <span>{{ tratamientoMedicamento.intensidad }}</span>
          </dd>
          <dt>
            <span v-text="$t('gatewayApp.pacientesTratamientoMedicamento.tratamiento')">Tratamiento</span>
          </dt>
          <dd>
            <div v-if="tratamientoMedicamento.tratamiento">
              <router-link :to="{ name: 'TratamientoView', params: { tratamientoId: tratamientoMedicamento.tratamiento.id } }">{{
                tratamientoMedicamento.tratamiento.descripcionTratamiento
              }}</router-link>
            </div>
          </dd>
          <dt>
            <span v-text="$t('gatewayApp.pacientesTratamientoMedicamento.medicamento')">Medicamento</span>
          </dt>
          <dd>
            <div v-if="tratamientoMedicamento.medicamento">
              <router-link :to="{ name: 'MedicamentoView', params: { medicamentoId: tratamientoMedicamento.medicamento.id } }">{{
                tratamientoMedicamento.medicamento.nombre
              }}</router-link>
            </div>
          </dd>
        </dl>
        <button type="submit" v-on:click.prevent="previousState()" class="btn btn-info" data-cy="entityDetailsBackButton">
          <font-awesome-icon icon="arrow-left"></font-awesome-icon>&nbsp;<span v-text="$t('entity.action.back')"> Back</span>
        </button>
        <router-link
          v-if="tratamientoMedicamento.id"
          :to="{ name: 'TratamientoMedicamentoEdit', params: { tratamientoMedicamentoId: tratamientoMedicamento.id } }"
          custom
          v-slot="{ navigate }"
        >
          <button @click="navigate" class="btn btn-primary">
            <font-awesome-icon icon="pencil-alt"></font-awesome-icon>&nbsp;<span v-text="$t('entity.action.edit')"> Edit</span>
          </button>
        </router-link>
      </div>
    </div>
  </div>
</template>

<script lang="ts" src="./tratamiento-medicamento-details.component.ts"></script>
